CategoryOrderedList
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.data
Class CategoryOrderedList

    java.lang.Object
      org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.data.CategoryOrderedList

    public class CategoryOrderedList

extends java.lang.Object

Constructor Summary
`CategoryOrderedList(LexicalEngineConfiguration Config)`

Method Summary
`void` | `addCategory(Category c)`
`CategoryOrderedList` | `generateNovelList()`
`Reference` | `getCategory(java.lang.String categoryName)`
`java.util.ArrayList<Reference>` | `getOrderedList()`
`java.util.HashMap<java.lang.String,CategoryScores>` | `getScoresTable()`
`void` | `setCategoryTable(java.util.HashMap<java.lang.String,Reference> OrderedListTable)`
`void` | `setOrderedList(java.util.ArrayList<Reference> OrderedList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryOrderedList

    public CategoryOrderedList(LexicalEngineConfiguration Config)

Method Detail

### setOrderedList

    public void setOrderedList(java.util.ArrayList<Reference> OrderedList)

### getScoresTable

    public java.util.HashMap<java.lang.String,CategoryScores> getScoresTable()

### setCategoryTable

    public void setCategoryTable(java.util.HashMap<java.lang.String,Reference> OrderedListTable)

### getCategory

    public Reference getCategory(java.lang.String categoryName)

### getOrderedList

    public java.util.ArrayList<Reference> getOrderedList()

### addCategory

    public void addCategory(Category c)

### generateNovelList

    public CategoryOrderedList generateNovelList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD